Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SPTSearchEngine Class Reference

Inheritance diagram for SPTSearchEngine:

[legend]
Collaboration diagram for SPTSearchEngine:

[legend]
List of all members.

## Public Member Functions
| SPTSearchEngine ()
| GetFieldContent ($ItemId, $FieldName)
| SearchFieldForPhrases ($FieldName, $Phrase)
| SearchFieldsForComparisonMatches ($FieldNames, $Operators, $Values)
| GetItemIdsSortedByField ($FieldName, $SortDescending)
| UpdateForResource ($ItemId)
## Public Attributes
| $Schema

## Detailed Description

Definition at line 19 of file SPTSearchEngine.php.

## Member Function Documentation

SPTSearchEngine::GetFieldContent | ( | $ | ItemId,
|  | $ | FieldName |
| ) |  |  |

Reimplemented from SearchEngine.

Definition at line 81 of file SPTSearchEngine.php.

SPTSearchEngine::GetItemIdsSortedByField | ( | $ | FieldName,
|  | $ | SortDescending |
| ) |  |  |

Definition at line 519 of file SPTSearchEngine.php.

SPTSearchEngine::SearchFieldForPhrases | ( | $ | FieldName,
|  | $ | Phrase |
| ) |  |  |

Reimplemented from SearchEngine.

Definition at line 91 of file SPTSearchEngine.php.

References SearchEngine::DebugLevel(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, and MetadataSchema::MDFTYPE_USER.

SPTSearchEngine::SearchFieldsForComparisonMatches | ( | $ | FieldNames,
|  | $ | Operators,
|  | $ | Values |
| ) |  |  |

Definition at line 221 of file SPTSearchEngine.php.

References SearchEngine::DBFieldName(), SearchEngine::DebugLevel(), SearchEngine::DefaultSearchLogic(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, and MetadataSchema::MDFTYPE_USER.

SPTSearchEngine::SPTSearchEngine | ( |  | ) |

Definition at line 21 of file SPTSearchEngine.php.

References SearchEngine::$DB, SearchEngine::AddField(), SearchEngine::DBFieldName(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_POINT, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, MetadataSchema::MDFTYPE_USER, and SearchEngine::SearchEngine().

SPTSearchEngine::UpdateForResource | ( | $ | ItemId | ) |

Definition at line 528 of file SPTSearchEngine.php.

References SearchEngine::UpdateForItem().

## Member Data Documentation

SPTSearchEngine::$Schema

Definition at line 525 of file SPTSearchEngine.php.

The documentation for this class was generated from the following file:

- SPTSearchEngine.php